Add comment / description to the translations kcm
ClosedPublic

Authored by jbbgameich on Feb 8 2019, 7:07 PM.

Details

Summary

Fixes inconsistency with other kcms

Test Plan

comment is displayed in plasma-settings

Diff Detail

Repository
R120 Plasma Workspace
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
jbbgameich created this revision.Feb 8 2019, 7:07 PM
Restricted Application added a project: Plasma. · View Herald TranscriptFeb 8 2019, 7:07 PM
Restricted Application added a subscriber: plasma-devel. · View Herald Transcript
jbbgameich requested review of this revision.Feb 8 2019, 7:07 PM
apol added a subscriber: apol.Feb 10 2019, 12:23 PM

How about System and applications language?

jbbgameich updated this revision to Diff 51321.Feb 10 2019, 3:49 PM
This comment was removed by jbbgameich.
sitter added a subscriber: sitter.Jun 27 2019, 10:11 AM

Mh, technically it's not setting system language, is it? It changes the user's language but has no facilities to apply that at system scope (i.e. across all users)

Looking at the other KCMs the comment is more of the form "Configure/Change/Customize foobar" or "Foobar settings". I am not sure how exactly the comment is used in plasma-settings, but I am guessing "Change application languages" would fit better for a "description" of what one can do with this?

hein added a comment.Jul 17 2019, 6:55 AM

Agreed with Harald, the wording's misleading sorry :)

jbbgameich updated this revision to Diff 61930.Jul 17 2019, 6:17 PM

Update description once again

hein added a comment.EditedJul 18 2019, 4:24 AM

How about - and sorry if you're tired of the patch by now - "Change workspace and application languages"? It'd do "you're also going to affect the shell" while addressing the global vs. user-specific concern.

jbbgameich updated this revision to Diff 61958.Jul 18 2019, 9:18 AM

Update comment

bshah accepted this revision as: bshah.Thu, Jul 25, 10:13 AM

I'd say if no-one else objects, feel free to submit this revision now. :-)

We can always revise it since this is not going in stable branch.

This revision is now accepted and ready to land.Thu, Jul 25, 10:13 AM
This revision was automatically updated to reflect the committed changes.
hein added a comment.Fri, Jul 26, 12:43 PM

Good stuff 👍